<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
require("includes/function.php");

$user = $_SESSION["username"];
$zdb = $_SESSION["zdbyear_poi"];

$comp = mysqli_query($conn, "SELECT * FROM `company` where cono = 1") or die(mysql_errno());
$zcomp = mysqli_fetch_assoc($comp);

$adminmail = $zcomp['email'].",mohdtariq44@yahoo.com";

$datestamp = date("Y-m-d");      // Current date to append to filename of backup file in format of YYYY-MM-DD

/* CONFIGURE THE FOLLOWING SEVEN VARIABLES TO MATCH YOUR SETUP */

$dbuser = "root";            // Database username
$dbpwd  = "fkRAJ2014";            // Database password
$dbname = $zdb;            // Database name. Use --all-databases if you have more than one
$filename= $dbname . date("Y-m-d-H-i-s") . '.gz';   // The name (and optionally path) of the dump file
print "$filename";

$to = 'mohdtariq44@yahoo.com.com';      // Email address to send dump file to
$from = "mohdtariq44@yahoo.com.com";      // Email address message will show as coming from.
$subject = "Daily Backup";      // Subject of email
$command = "mysqldump -u $dbuser --password=$dbpwd $dbname | gzip > $filename";
$result = system($command);
$attachmentname = explode("/", $filename);   // If a path was included, strip it out for the attachment name
$message = "Compressed database backup file $attachmentname attached.";
//$message = "Compressed database backup file attached.";
$mime_boundary = "< <<:" . md5(time());
$data = chunk_split(base64_encode(implode("", file($filename))));
$headers = "From: $from\r\n";
$headers .= "MIME-Version: 1.0\r\n";
$headers .= "Content-type: multipart/mixed;\r\n";
$headers .= " boundary=\"".$mime_boundary."\"\r\n";
$content = "This is a multi-part message in MIME format.\r\n\r\n";
$content.= "--".$mime_boundary."\r\n";
$content.= "Content-Type: text/plain; charset=\"iso-8859-1\"\r\n";
$content.= "Content-Transfer-Encoding: 7bit\r\n\r\n";
$content.= $message."\r\n";
$content.= "--".$mime_boundary."\r\n";
$content.= "Content-Disposition: attachment;\r\n";
$content.= "Content-Type: Application/Octet-Stream; name=\"$attachmentname\"\r\n";
$content.= "Content-Transfer-Encoding: base64\r\n\r\n";
$content.= $data."\r\n";
$content.= "--" . $mime_boundary . "\r\n";

mail($to, $subject, $content, $headers);
unlink($filename);   //delete the backup file from the server

echo "<font size='5px' color='Black'><b>Your Daily Backup Has Been Mailed Please Check Your Email</b></font>";

?>